Bug 165842 - [maintainer-update] games/ioquake3 and slaves
[maintainer-update] games/ioquake3 and slaves
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 23:30 UTC by kamikaze
Modified: 2012-05-18 21:51 UTC (History)
0 users

See Also:


Attachments
file.shar (2.63 KB, text/plain)
2012-03-07 23:30 UTC, kamikaze
no flags Details
patch-ports-games-ioquake3.txt (14.38 KB, patch)
2012-03-07 23:39 UTC, kamikaze
no flags Details | Diff
patch-ports-games-ioquake3.txt (14.28 KB, patch)
2012-03-08 06:47 UTC, kamikaze
no flags Details | Diff
patch-ports-games-ioquake3.txt (14.64 KB, patch)
2012-03-10 08:37 UTC, kamikaze
no flags Details | Diff
shar-ports-games-ioquake3-server.txt (2.79 KB, text/plain; charset=UTF-8)
2012-04-25 16:46 UTC, kamikaze
no flags Details
patch-ports-games-ioquake3.txt (19.56 KB, patch)
2012-04-25 16:46 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2012-03-07 23:30:09 UTC
games/ioquake3-server
games/ioquake3-devel-server
games/iourbanterror-server
games/openarena-server
- Add dedicated server ports, don't depend on X etc.

games/ioquake3
- Split the port into client and server ports

games/ioquake3-devel
games/iourbanterror
games/openarena
- Use MASTERDIR

games/ioquake3-devel
games/iourbanterror
- Update from SVN r2194 to r2224
  - Minor fixes
  - Remove one cheat exploit

games/openarena
- Update to OpenArena 0.8.8 release

games/urbanterror-data
- Remove accidental dependency on games/quake3-data

Fix: Patch attached with submission follows:
Comment 1 kamikaze 2012-03-07 23:39:11 UTC
The patch removes obsolete files, so please don't forget to use
patch -E

Also please leave the PORTREVISION=0 lines alone - these are slave
ports, they have to override the PORTREVISION of the master port.

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 2 kamikaze 2012-03-08 06:47:39 UTC
Same patch, minus this change:
-HOMEPATH?=	/.${PORTNAME}
+HOMEPATH?=	/.${PORTNAME:C/-server//}

The -server suffix is contained in PKGNAMESUFFIX, so no need to
do this.

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 3 kamikaze 2012-03-10 08:37:58 UTC
Fix openarena-data plist.

Don't forget "patch -E" and the shar at the beginning of this PR.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 4 kamikaze 2012-04-25 16:46:59 UTC
A little overhaul:
- Newer SVN (2244 instead of 2224)
- Get rid of all fatal portlint warnings
- Add UNIQUENAME to -server ports to avoid options file clash

Remember to use "patch -E" to remove empty files.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-05-17 20:56:46 UTC
State Changed
From-To: open->feedback

Hi Dominic! I'm used your latest shar and diff and there is some 
problems with the ports. Would you please look at this logs and fix 
them? Thanks. http://people.freebsd.org/~rm/ioquake3/
Comment 6 cvs-src 2012-05-18 12:17:42 UTC
Dominic Fandrey wrote on 18.05.2012 15:09:
> On 18/05/2012 11:28, Ruslan Mahmatkhanov wrote:
>> Dominic Fandrey wrote on 18.05.2012 13:14:
>>> On 17/05/2012 21:56, rm@FreeBSD.org wrote:
>>>> Hi Dominic! I'm used your latest shar and diff and there is some
>>>> problems with the ports. Would you please look at this logs and fix
>>>> them? Thanks. http://people.freebsd.org/~rm/ioquake3/
>>>
>>> I have nailed down the ioq3-devel issue, but I've cannot reproduce
>>> the urban-terrror-data issue. The port sets NO_BUILD.
>>>
>>> I have to ponder this one a little.
>>
>> Just comment NO_BUILD and NO_PACKAGE and try to build (they commented
>> out for tinderbox I thinks because of distfile size).
>
> Don't mess with NO_BUILD. I see no reason to.
> I generally just add FORCE_PACKAGE to my Tinderbox env.

Yeah, I misunderstood something. So are you able to reproduce the 
breakage? Or it was initiated by commenting off the NO_BUILD? Haven't 
this updated ports on hands atm, so can't see myself.

>
>> And what the solution is for ioquake3-devel?
>
> In ioquake3/Makefile:
> .if !defined(WITHOUT_SERVER)
> RUN_DEPENDS+= ${Q3SERVER}${PORTSDIR}/games/${PORTNAME}-server
> .endif
>
> Should be:
> .if !defined(WITHOUT_SERVER)
> RUN_DEPENDS+= ${Q3SERVER}${BINSUFFIX}:${PORTSDIR}/games/${PORTNAME}-server
> .endif
>
> Do you want the updated patch?
>
> Regards

No, I will apply this and recheck. Thank you.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 7 kamikaze 2012-05-18 15:55:42 UTC
On 18/05/2012 13:17, Ruslan Mahmatkhanov wrote:
> Dominic Fandrey wrote on 18.05.2012 15:09:
>> On 18/05/2012 11:28, Ruslan Mahmatkhanov wrote:
>>> Dominic Fandrey wrote on 18.05.2012 13:14:
>>>> On 17/05/2012 21:56, rm@FreeBSD.org wrote:
>>>>> Hi Dominic! I'm used your latest shar and diff and there is some
>>>>> problems with the ports. Would you please look at this logs and fix
>>>>> them? Thanks. http://people.freebsd.org/~rm/ioquake3/
>>>>
>>>> I have nailed down the ioq3-devel issue, but I've cannot reproduce
>>>> the urban-terrror-data issue. The port sets NO_BUILD.
>>>>
>>>> I have to ponder this one a little.
>>>
>>> Just comment NO_BUILD and NO_PACKAGE and try to build (they commented
>>> out for tinderbox I thinks because of distfile size).
>>
>> Don't mess with NO_BUILD. I see no reason to.
>> I generally just add FORCE_PACKAGE to my Tinderbox env.
>
> Yeah, I misunderstood something. So are you able to reproduce the breakage? Or it was initiated by commenting off the NO_BUILD?

That's definitely the cause. Basically I sped up the the -data ports
by extracting files into place during install instead of extracting
them and copying them around.

> Haven't this updated ports on hands atm, so can't see myself.
>>
>>> And what the solution is for ioquake3-devel?
>>
>> In ioquake3/Makefile:
>> .if !defined(WITHOUT_SERVER)
>> RUN_DEPENDS+= ${Q3SERVER}${PORTSDIR}/games/${PORTNAME}-server
>> .endif
>>
>> Should be:
>> .if !defined(WITHOUT_SERVER)
>> RUN_DEPENDS+= ${Q3SERVER}${BINSUFFIX}:${PORTSDIR}/games/${PORTNAME}-server
>> .endif
>>
>> Do you want the updated patch?
>
> No, I will apply this and recheck. Thank you.

That should do.

You can also remove the WRKSRC= line from urbanterror-data/Makefile.

And thank you. I thought I had everything Tinderbox tested.

Regards

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 8 dfilter freebsd_committer 2012-05-18 21:22:15 UTC
rm          2012-05-18 20:21:53 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
    games/ioquake3       Makefile pkg-descr pkg-plist 
    games/ioquake3-devel Makefile distinfo 
    games/iourbanterror  Makefile pkg-descr 
    games/openarena      Makefile Makefile.include distinfo 
                         pkg-descr 
    games/openarena/files patch-Makefile 
                          patch-feature-DEFAULT_LIBDIR 
    games/openarena-data Makefile distinfo pkg-plist 
    games/openarena-oax  Makefile 
    games/urbanterror-data Makefile pkg-descr 
  Added files:
    games/ioquake3-devel-server Makefile 
    games/ioquake3-server Makefile 
    games/iourbanterror-server Makefile 
    games/openarena-server Makefile 
  Removed files:
    games/ioquake3/files patch-code-client-cl_curl.h 
    games/iourbanterror  distinfo 
  Log:
  - split out -server part from ioquake3-based ports:
    - games/ioquake3-devel-server added
    - games/ioquake3-server added
    - games/iourbanterror-server
    - games/openarena-server added
  - update games/ioquake3-devel to svn revision 2244
  - update games/openarena to 0.8.8
  - update games/openarena-data to 0.8.8
  
  Doing this in single commit since all this ports are
  tightly interconnected.
  
  PR:             ports/165842
  Submitted by:   Dominic Fandrey <kamikaze at bsdforen dot de> (maintainer)
  
  Revision  Changes    Path
  1.1433    +4 -0      ports/games/Makefile
  1.1       +17 -0     ports/games/ioquake3-devel-server/Makefile (new)
  1.13      +6 -3      ports/games/ioquake3-devel/Makefile
  1.13      +2 -2      ports/games/ioquake3-devel/distinfo
  1.1       +17 -0     ports/games/ioquake3-server/Makefile (new)
  1.28      +47 -16    ports/games/ioquake3/Makefile
  1.2       +0 -12     ports/games/ioquake3/files/patch-code-client-cl_curl.h (dead)
  1.5       +1 -1      ports/games/ioquake3/pkg-descr
  1.6       +4 -4      ports/games/ioquake3/pkg-plist
  1.1       +17 -0     ports/games/iourbanterror-server/Makefile (new)
  1.27      +10 -8     ports/games/iourbanterror/Makefile
  1.12      +0 -2      ports/games/iourbanterror/distinfo (dead)
  1.5       +1 -1      ports/games/iourbanterror/pkg-descr
  1.3       +16 -18    ports/games/openarena-data/Makefile
  1.3       +2 -4      ports/games/openarena-data/distinfo
  1.2       +1 -0      ports/games/openarena-data/pkg-plist
  1.6       +2 -6      ports/games/openarena-oax/Makefile
  1.1       +17 -0     ports/games/openarena-server/Makefile (new)
  1.15      +17 -10    ports/games/openarena/Makefile
  1.2       +2 -4      ports/games/openarena/Makefile.include
  1.7       +2 -2      ports/games/openarena/distinfo
  1.6       +4 -4      ports/games/openarena/files/patch-Makefile
  1.3       +10 -10    ports/games/openarena/files/patch-feature-DEFAULT_LIBDIR
  1.3       +1 -1      ports/games/openarena/pkg-descr
  1.8       +14 -14    ports/games/urbanterror-data/Makefile
  1.2       +1 -1      ports/games/urbanterror-data/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2012-05-18 21:51:33 UTC
State Changed
From-To: feedback->closed

Committed, thank you!